//-----------------------------------------------------------------------------
// Torque Game Engine
// 
// Copyright (c) 2001 GarageGames.Com
// Portions Copyright (c) 2001 by Sierra Online, Inc.
//-----------------------------------------------------------------------------

datablock TSShapeConstructor(PlayerDts)
{
   baseShape = "./player.dts";
   sequence0 = "./player_root.dsq root";
   sequence1 = "./player_forward.dsq run";
   sequence2 = "./player_back.dsq back";
   sequence3 = "./player_side.dsq side";
   sequence4 = "./player_lookde.dsq look";
   sequence5 = "./player_head.dsq head";
   sequence6 = "./player_fall.dsq fall";
   sequence7 = "./player_land.dsq land";
   sequence8 = "./player_jump.dsq jump";
   sequence9  = "./player_diehead.dsq death1";
   sequence10 = "./player_diechest.dsq death2";
   sequence11 = "./player_dieback.dsq death3";
   sequence12 = "./player_diesidelf.dsq death4";
   sequence13 = "./player_diesidert.dsq death5";
   sequence14 = "./player_dieleglf.dsq death6";
   sequence15 = "./player_dielegrt.dsq death7";
   sequence16 = "./player_dieslump.dsq death8";
   sequence17 = "./player_dieknees.dsq death9";
   sequence18 = "./player_dieforward.dsq death10";  
   sequence19 = "./player_diespin.dsq death11";
   sequence20 = "./player_looksn.dsq looksn";
   sequence21 = "./player_lookms.dsq lookms";
   sequence22 = "./player_scoutroot.dsq scoutroot";
   sequence23 = "./player_headside.dsq headside";
   sequence24 = "./player_recoilde.dsq light_recoil";
   sequence25 = "./player_sitting.dsq sitting";
   sequence26 = "./player_celsalute.dsq celsalute";
   sequence27 = "./player_celwave.dsq celwave";
   sequence28 = "./player_standjump.dsq standjump";
   sequence29 = "./player_looknw.dsq looknw";
};     
    
datablock TSShapeConstructor(FemaleDts)
{
    baseShape = "./female.dts";
   sequence0 = "./female_root.dsq root";
   sequence1 = "./female_run.dsq run";
   sequence2 = "./female_back.dsq back";
   sequence3 = "./light_female_side.dsq side";
   sequence4 = "./female_look2h.dsq look";
   sequence5 = "./female_root.dsq root"; //"./player_head.dsq head";
   sequence6 = "./light_female_fall.dsq fall";
   sequence7 = "./light_female_land.dsq land";
   sequence8 = "./light_female_jump.dsq jump";
   sequence9  = "./player_diehead.dsq death1";
   sequence10 = "./player_diechest.dsq death2";
   sequence11 = "./player_dieback.dsq death3";
   sequence12 = "./player_diesidelf.dsq death4";
   sequence13 = "./player_diesidert.dsq death5";
   sequence14 = "./player_dieleglf.dsq death6";
   sequence15 = "./player_dielegrt.dsq death7";
   sequence16 = "./player_dieslump.dsq death8";
   sequence17 = "./player_dieknees.dsq death9";
   sequence18 = "./player_dieforward.dsq death10";  
   sequence19 = "./player_diespin.dsq death11";
   sequence20 = "./player_looksn.dsq looksn";
   sequence21 = "./player_lookms.dsq lookms";
   sequence22 = "./female_flop.dsq flop"; //"./player_scoutroot.dsq scoutroot"; 
   sequence23 = "./player_headside.dsq headside";
   sequence24 = "./player_recoilde.dsq light_recoil";
   sequence25 = "./female_sitDrive.dsq sitDrive";
   sequence26 = "./female_sitRide.dsq sitRide";
   sequence27 = "./female_breathe.dsq breath";
   sequence28 = "./female_standjump.dsq standjump"; //"./player_standjump.dsq standjump";
   sequence29 = "./female_carried.dsq carried"; //"./player_looknw.dsq looknw";
   sequence30 = "./female_swing2h.dsq swing2h";
   sequence31 = "./female_flop.dsq flop";

};

datablock TSShapeConstructor(FemaleREDDts)
{
    baseShape = "./female_RED.dts";
   sequence0 = "./female_root.dsq root";
   sequence1 = "./female_run.dsq run";
   sequence2 = "./female_back.dsq back";
   sequence3 = "./light_female_side.dsq side";
   sequence4 = "./female_look2h.dsq look";
   sequence5 = "./female_root.dsq head"; //"./player_head.dsq head";
   sequence6 = "./light_female_fall.dsq fall";
   sequence7 = "./light_female_land.dsq land";
   sequence8 = "./light_female_jump.dsq jump";
   sequence9  = "./female_look_pistol.dsq lookpistol";
   sequence10 = "./player_diechest.dsq death2";
   sequence11 = "./female_look_rifle.dsq lookrifle"; //"./player_dieback.dsq death3";
   sequence12 = "./player_diesidelf.dsq death4";
   sequence13 = "./player_diesidert.dsq death5";
   sequence14 = "./player_dieleglf.dsq death6";
   sequence15 = "./player_dielegrt.dsq death7";
   sequence16 = "./player_dieslump.dsq death8";
   sequence17 = "./player_dieknees.dsq death9";
   sequence18 = "./player_dieforward.dsq death10";  
   sequence19 = "./player_diespin.dsq death11";
   sequence20 = "./player_looksn.dsq looksn";
   sequence21 = "./player_lookms.dsq lookms";
   sequence22 = "./female_flop.dsq flop"; //"./player_scoutroot.dsq scoutroot"; 
   sequence23 = "./player_headside.dsq headside";
   sequence24 = "./player_recoilde.dsq light_recoil";
   sequence25 = "./female_sitDrive.dsq sitDrive";
   sequence26 = "./female_sitRide.dsq sitRide";
   sequence27 = "./female_breathe.dsq breath";
   sequence28 = "./female_standjump.dsq standjump"; //"./player_standjump.dsq standjump";
   sequence29 = "./female_carried.dsq carried"; //"./player_looknw.dsq looknw";
   sequence30 = "./female_swing2h.dsq swing2h";
   sequence31 = "./female_flop.dsq flop";
   sequence32 = "./female_flop.dsq floptest";

};

datablock TSShapeConstructor(FemaleBLUEDts)
{
    baseShape = "./female_BLUE.dts";
    sequence0 = "./female_root.dsq root";
   sequence1 = "./female_run.dsq run";
   sequence2 = "./female_back.dsq back";
   sequence3 = "./light_female_side.dsq side";
   sequence4 = "./female_look2h.dsq look";
   sequence5 = "./female_root.dsq head"; //"./player_head.dsq head";
   sequence6 = "./light_female_fall.dsq fall";
   sequence7 = "./light_female_land.dsq land";
   sequence8 = "./light_female_jump.dsq jump";
   sequence9  = "./female_look_pistol.dsq lookpistol";
   sequence10 = "./player_diechest.dsq death2";
   sequence11 = "./female_look_rifle.dsq lookrifle"; //"./player_dieback.dsq death3";
   sequence12 = "./player_diesidelf.dsq death4";
   sequence13 = "./player_diesidert.dsq death5";
   sequence14 = "./player_dieleglf.dsq death6";
   sequence15 = "./player_dielegrt.dsq death7";
   sequence16 = "./player_dieslump.dsq death8";
   sequence17 = "./player_dieknees.dsq death9";
   sequence18 = "./player_dieforward.dsq death10";  
   sequence19 = "./player_diespin.dsq death11";
   sequence20 = "./player_looksn.dsq looksn";
   sequence21 = "./player_lookms.dsq lookms";
   sequence22 = "./female_flop.dsq flop"; //"./player_scoutroot.dsq scoutroot"; 
   sequence23 = "./player_headside.dsq headside";
   sequence24 = "./player_recoilde.dsq light_recoil";
   sequence25 = "./female_sitDrive.dsq sitDrive";
   sequence26 = "./female_sitRide.dsq sitRide";
   sequence27 = "./female_breathe.dsq breath";
   sequence28 = "./female_standjump.dsq standjump"; //"./player_standjump.dsq standjump";
   sequence29 = "./female_carried.dsq carried"; //"./player_looknw.dsq looknw";
   sequence30 = "./female_swing2h.dsq swing2h";
   sequence31 = "./female_flop.dsq flop";
   sequence32 = "./female_flop.dsq floptest";

};

//datablock TSShapeConstructor(FemaleBLUEDts)
//{
//    baseShape = "./female_BLUE.dts";
//   sequence0 = "./female_root.dsq root";
//   sequence1 = "./female_run.dsq run";
//   sequence2 = "./female_back.dsq back";
//   sequence3 = "./light_female_side.dsq side";
//   sequence4 = "./female_look2h.dsq look";
//   sequence5 = "./female_root.dsq root"; //"./player_head.dsq head";
//   sequence6 = "./light_female_fall.dsq fall";
//   sequence7 = "./light_female_land.dsq land";
//   sequence8 = "./light_female_jump.dsq jump";
//   sequence9  = "./player_diehead.dsq death1";
//   sequence10 = "./player_diechest.dsq death2";
//   sequence11 = "./player_dieback.dsq death3";
//   sequence12 = "./player_diesidelf.dsq death4";
//   sequence13 = "./player_diesidert.dsq death5";
//   sequence14 = "./player_dieleglf.dsq death6";
//   sequence15 = "./player_dielegrt.dsq death7";
//   sequence16 = "./player_dieslump.dsq death8";
//   sequence17 = "./player_dieknees.dsq death9";
//   sequence18 = "./player_dieforward.dsq death10";  
//   sequence19 = "./player_diespin.dsq death11";
//   sequence20 = "./player_looksn.dsq looksn";
//   sequence21 = "./player_lookms.dsq lookms";
//   sequence22 = "./female_flop.dsq flop"; //"./player_scoutroot.dsq scoutroot"; 
//   sequence23 = "./player_headside.dsq headside";
//   sequence24 = "./player_recoilde.dsq light_recoil";
//   sequence25 = "./female_sitDrive.dsq sitDrive";
//   sequence26 = "./female_sitRide.dsq sitRide";
//   sequence27 = "./female_breathe.dsq breath";
//   sequence28 = "./female_standjump.dsq standjump"; //"./player_standjump.dsq standjump";
//   sequence29 = "./female_carried.dsq carried"; //"./player_looknw.dsq looknw";
//   sequence30 = "./female_swing2h.dsq swing2h";
//   sequence31 = "./female_flop.dsq flop";
//
//};


datablock TSShapeConstructor(FemaleVIPDts)
{
    baseShape = "./female_VIP.dts";
   sequence0 = "./female_root.dsq root";
   sequence1 = "./female_run.dsq run";
   sequence2 = "./female_back.dsq back";
   sequence3 = "./light_female_side.dsq side";
   sequence4 = "./female_look2h.dsq look";
   sequence5 = "./female_root.dsq head"; //"./player_head.dsq head";
   sequence6 = "./light_female_fall.dsq fall";
   sequence7 = "./light_female_land.dsq land";
   sequence8 = "./light_female_jump.dsq jump";
   sequence9  = "./female_look_pistol.dsq lookpistol";
   sequence10 = "./player_diechest.dsq death2";
   sequence11 = "./female_look_rifle.dsq lookrifle"; //"./player_dieback.dsq death3";
   sequence12 = "./player_diesidelf.dsq death4";
   sequence13 = "./player_diesidert.dsq death5";
   sequence14 = "./player_dieleglf.dsq death6";
   sequence15 = "./player_dielegrt.dsq death7";
   sequence16 = "./player_dieslump.dsq death8";
   sequence17 = "./player_dieknees.dsq death9";
   sequence18 = "./player_dieforward.dsq death10";  
   sequence19 = "./player_diespin.dsq death11";
   sequence20 = "./player_looksn.dsq looksn";
   sequence21 = "./player_lookms.dsq lookms";
   sequence22 = "./female_flop.dsq flop"; //"./player_scoutroot.dsq scoutroot"; 
   sequence23 = "./player_headside.dsq headside";
   sequence24 = "./player_recoilde.dsq light_recoil";
   sequence25 = "./female_sitDrive.dsq sitDrive";
   sequence26 = "./female_sitRide.dsq sitRide";
   sequence27 = "./female_breathe.dsq breath";
   sequence28 = "./female_standjump.dsq standjump"; //"./player_standjump.dsq standjump";
   sequence29 = "./female_carried.dsq carried"; //"./player_looknw.dsq looknw";
   sequence30 = "./female_swing2h.dsq swing2h";
   sequence31 = "./female_flop.dsq flop";
   sequence32 = "./female_flop.dsq floptest";

};