datablock ParticleData(p51CrashSmokeParticle1)
{
	dragCoefficient		= 2.0;
	windCoefficient		= 0.2;
	gravityCoefficient	= -0.7;
	inheritedVelFactor	= 0.1;
	constantAcceleration	= 0.0;
	lifetimeMS		= 2000;
	lifetimeVarianceMS	= 500;
	spinSpeed		= 5.0;
	spinRandomMin		= -30.0;
	spinRandomMax		= 30.0;
	useInvAlpha		= true;
	//animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "~/data/shapes/rifle/smokeParticle";
	//animTexName		= "~/data/shapes/rifle/smokeParticle";

	colors[0]	= "0.4 0.4 0.4 0.1";
	colors[1]	= "0.6 0.6 0.6 0.0";
	sizes[0]	= 5.0;
	sizes[1]	= 8.0;
	times[0]	= 0.0;
	times[1]	= 1.0;
};

datablock ParticleEmitterData(p51CrashSmokeEmitter1)
{
	ejectionPeriodMS	= 250;
	periodVarianceMS	= 1;
	ejectionVelocity	= 1;
	velocityVariance	= 0.9;
	ejectionOffset		= 0;
	thetaMin		= 0;
	thetaMax		= 90;
	phiReferenceVel		= 0;
	phiVariance		= 360;
	//overrideAdvance		= false;
	orientParticles		= false;
	//orientOnVelocity	= false;
	particles		= p51CrashSmokeParticle1;
	//lifetimeMS		= 50000;
	//lifetimeVarianceMS	= 10;
	//useEmitterSizes		= false;
	//useEmitterColors	= false;
};

datablock ParticleData(p51CrashSmokeParticle2)
{
dragCoefficient		= 2.0;
	windCoefficient		= 0.2;
	gravityCoefficient	= -1.1;
	inheritedVelFactor	= 0.1;
	constantAcceleration	= 0.0;
	lifetimeMS		= 2000;
	lifetimeVarianceMS	= 500;
	spinSpeed		= 5.0;
	spinRandomMin		= -90.0;
	spinRandomMax		= 90.0;
	useInvAlpha		= false;
	//animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "~/data/shapes/rifle/smokeParticle";
	//animTexName		= "~/data/shapes/rifle/smokeParticle";

	colors[0]	= "0.4 0.2 0.0 1.0";
	colors[1]	= "0.6 0.0 0.0 0.0";
	sizes[0]	= 5.0;
	sizes[1]	= 8.0;
	times[0]	= 0.0;
	times[1]	= 1.0;
};

datablock ParticleEmitterData(p51CrashSmokeEmitter2)
{
	ejectionPeriodMS	= 150;
	periodVarianceMS	= 1;
	ejectionVelocity	= 1;
	velocityVariance	= 0.9;
	ejectionOffset		= 0.5;
	thetaMin		= 0;
	thetaMax		= 90;
	phiReferenceVel		= 0;
	phiVariance		= 360;
	//overrideAdvance		= false;
	orientParticles		= false;
	//orientOnVelocity	= false;
	particles		= p51CrashSmokeParticle2;
	//lifetimeMS		= 50000;
	//lifetimeVarianceMS	= 10;
	//useEmitterSizes		= false;
	//useEmitterColors	= false;
};

datablock ParticleData(p51CrashSmokeParticle3)
{
	dragCoefficient		= 2.0;
	windCoefficient		= 0.2;
	gravityCoefficient	= -0.5;
	inheritedVelFactor	= 0.1;
	constantAcceleration	= 0.0;
	lifetimeMS		= 3000;
	lifetimeVarianceMS	= 500;
	spinSpeed		= 5.0;
	spinRandomMin		= -20.0;
	spinRandomMax		= 20.0;
	useInvAlpha		= true;
	//animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "~/data/particles/bubbles";
	//animTexName		= "~/data/shapes/rifle/smokeParticle";

	colors[0]	= "0.5 0.5 0.6 0.25";
	colors[1]	= "0.5 0.5 0.7 0.0";
	sizes[0]	= 5.0;
	sizes[1]	= 8.0;
	times[0]	= 0.0;
	times[1]	= 1.0;
};

datablock ParticleEmitterData(p51CrashSmokeEmitter3)
{
	ejectionPeriodMS	= 350;
	periodVarianceMS	= 1;
	ejectionVelocity	= 1;
	velocityVariance	= 0.9;
	ejectionOffset		= 0;
	thetaMin		= 0;
	thetaMax		= 90;
	phiReferenceVel		= 0;
	phiVariance		= 360;
	//overrideAdvance		= false;
	orientParticles		= false;
	//orientOnVelocity	= false;
	particles		= p51CrashSmokeParticle3;
	//lifetimeMS		= 50000;
	//lifetimeVarianceMS	= 10;
	//useEmitterSizes		= false;
	//useEmitterColors	= false;
};

datablock WheeledVehicleData(p51Crash)
{
   category = "Vehicles";
   displayName = " ";
   shapeFile = "~/data/shapes/vehicles/p51crash.dts";
   emap = true;
   nummountpoints = 1;
   minMountDist = 1;

	maxDamage = 200;
	destroyedLevel = 200;
	isShielded = false;

   maxSteeringAngle = 0.785;  // Maximum steering angle, should match animation
   integration = 1;           // Force integration time: TickSec/Rate
   tireEmitter = TireEmitter; // All the tires use the same dust emitter

   // 3rd person camera settings
   cameraRoll = true;  
	cameraMaxDist = 15;
	cameraOffset = 2.5;
	cameraLag = 0.0;
	cameraDecay = 0.75; 
	
   useEyePoint = true;	



	defaultTire	= "";
	defaultSpring	= "";
	flatTire	= "";
	flatSpring	= "";


   // Rigid Body
   mass = 200;
   drag = 0.2;
   bodyFriction = 0.5; //0.06;
   bodyRestitution = 0.4;
   minImpactSpeed = 5;        // Impacts over this invoke the script callback
   softImpactSpeed = 5;       // Play SoftImpact Sound
   hardImpactSpeed = 15;      // Play HardImpact Sound
   groundImpactMinSpeed    = 10.0;

   // Engine
   engineTorque = 8000; //4000;       // Engine power
   engineBrake = 6000;         // Braking when throttle is 0
   brakeTorque = 50000;        // When brakes are applied
   maxWheelSpeed = 60;        // Engine scale by current speed / max speed

   // Energy
   maxEnergy = 100;
   jetForce = 3000;
   minJetEnergy = 30;
   jetEnergyDrain = 2;


   splash = PlayerSplash;
   splashVelocity = 4.0;
   splashAngle = 67.0;
   splashFreqMod = 300.0;
   splashVelEpsilon = 0.60;
   bubbleEmitTime = 0.4;
   splashEmitter[0] = PlayerFoamDropletsEmitter;
   splashEmitter[1] = PlayerFoamEmitter;
   splashEmitter[2] = PlayerBubbleEmitter;
   mediumSplashSoundVelocity = 10.0;   
   hardSplashSoundVelocity = 20.0;   
   exitSplashSoundVelocity = 5.0;


	damageEmitter[0] = p51CrashSmokeEmitter1;
	damageEmitter[1] = p51CrashSmokeEmitter2;
	damageEmitter[2] = p51CrashSmokeEmitter3;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageEmitterOffset[1] = "0.0 2.0 0.0 ";
	damageLevelTolerance[0] = 0.3;
	damageLevelTolerance[1] = 0.7;
	numDmgEmitterAreas = 3;

   // Sounds
//   jetSound = ScoutThrustSound;
	//engineSound = idleSound;
	//squealSound = skidSound;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	wheelImpactSound = clatchSound;

//   explosion = VehicleExplosion;
	justcollided = 0;

	maxinv[p51ammo] = 1000;


};

function p51Crash::onAdd(%this,%obj)
{
	//do nothing, ie dont add wheels
	%obj.setDamageLevel(200);
	%obj.setShapeName(%obj.getDataBlock().displayName);


}

function burn(%obj, %amount, %tick)
{
	if(%obj.isMounted() && (%obj.getObjectMount().getDataBlock() == nameToID(p51Crash)) )
	{
		%obj.damage(%obj.getObjectMount(), 0, %amount, %somekindatypeho);
		schedule(%tick, 0, burn, %obj, %amount, %tick);
	}
}

function p51Crash::damage(%this, %obj, %sourceObject, %position, %damage, %damageType)
{
	parent::damage(%this, %obj, %sourceObject, %position, %damage, %damageType);
	if(%obj.getDamageLevel() == 0)
	{
		//replace with fixed version
		%newVehicle = new WheeledVehicle()
		{
			datablock = p51Land;
		};
		%newVehicle.setTransform(%obj.getTransform());
		%newVehicle.applyImpulse( %newVehicle.getPosition(), vectorScale(%obj.getVelocity(), %newVehicle.getDataBlock().mass) );
		%newVehicle.mountObject(%obj.getMountedObject(0), 0); 

		%newVehicle.setInventory(p51ammo, %obj.getInventory(p51ammo) );

		%obj.delete();
	}
}