//---------------------------------------------
//  pole pack- deployable.  Cant have a base without at least 1100 poles
//------------------------------------------------

datablock ItemData(polePack)
{
	category	= "Deployable";
	className	= Deployable;
	staticShape	= deployedPole;
	shapeFile	= "~/data/shapes/items/polePack.dts";
	image		= polePackImage;
	mass		= 1;
	elasticity	= 0.2;
	friction	= 0.6;
	pickupRadius	= 2;
	pickUpName	= "some deployable poles";
	computeCRC	= true;
	emap		= true;
	maxInventory = 10;
};

datablock ShapeBaseImageData(polePackImage)
{
	className = PackImage;
	item = polePack;
	shapeFile = "~/data/shapes/items/polePack.dts";
	emap = true;
	mountPoint = $BackPoint;
	offset = "0.0 -0.05 -0.1";
	scale = "0.5 0.5 0.5";
	rotation = eulertomatrix("0 0 0");
};

function polePackImage::onUnmount(%this,%obj,%slot)
{

}

//function polePack::onUse(%data,%obj)
//{
//	//messageall(type, "using pole pack");
//	
//	%mask =  $TypeMasks::TerrainObjectType | $TypeMasks::InteriorObjectType | $TypeMasks::StaticShapeObjectType;
//	%startPos = %obj.getEyeTransform();
//	%eyeVec = %obj.getEyeVector();
//	%endPos = VectorAdd(%startPos, VectorScale(%eyeVec, 5) );
//	%searchResult = containerRayCast(%startPos, %endPos, %mask, %obj);
//
//	if(%searchResult)
//	{
//		//echo("deploying pole");
//		%deployPosition = posFromRaycast(%searchResult);
//
//		%mask =  $TypeMasks::PlayerObjectType | $TypeMasks::InteriorObjectType | $TypeMasks::StaticShapeObjectType | $TypeMasks::VehicleObjectType;
//		%startPos = %deployPosition;
//		%endPos = VectorAdd(%startPos, "0 0 3.6");
//		%searchResult = containerRayCast(%startPos, %endPos, %mask, 0);
//
//		if(%searchResult)
//		{
//			messageclient(%obj.client, sometype, "\c2 Not enough room!");
//		}
//		else
//		{
//			%deployRotation = rotFromTransform(%obj.getTransform());
//			%d = new StaticShape()
//			{
//				datablock = deployedpole;
//			};
//			%d.setTransform(%deployPosition @ " " @ %deployRotation);
//			%obj.decinventory(polepack, 1);
//			if(%obj.getinventory(polepack) <= 0)
//				%obj.unmountimage($packslot);
//		}
//	}
//}




datablock StaticShapeData(deployedpole)
{
	pack = polePack;
	className = Station;
	shapeFile = "~/data/shapes/items/pole.dts";
	maxDamage = 500;
	destroyedLevel = 500;
	disabledLevel = 400;
	explosion      = DeployablesExplosion;
	expDmgRadius = 8.0;
	expDamage = 0.35;
	expImpulse = 500.0;

	dynamicType = $TypeMasks::StationObjectType;
	isShielded = true;
	energyPerDamagePoint = 110;
	maxEnergy = 50;
	rechargeRate = 0.20;
	renderWhenDestroyed = false;
	doesRepair = true;

	deployedObject = true;

	cmdCategory = "DSupport";
	cmdIcon = CMDStationIcon;
	//cmdMiniIconName = "commander/MiniIcons/com_inventory_grey";
	targetNameTag = 'Deployable';
	targetTypeTag = 'Station';

	//debrisShapeName = "debris_generic_small.dts";
	debris = DeployableDebris;
	heatSignature = 0;
};

