

function ServerCmdReloadWeapon( %client, %data )
{
	%player = %client.player;
	//echo(%player.getimagestate($WeaponSlot));
	if (%player.getimagestate($WeaponSlot) !$= "Activate")
	{
		%image  = %player.getMountedImage(0);

		//messageall("clientmsg", 'omg server reload image %1 clip %2 ammo %3', %image, %image.clip, %image.ammo);

		//generic reload
		messageClient( %client, 'MsgCantUsePack', 'Reloading...');
		//messageall("clientmsg", 'call changeclip %1 %2 %3', %image, %player, %wtf); 
		%image.changeClip(%player, 0, 0);
	}
} 

//********these should go in client optionsdlg.cs
//function usePrimary( %val )
//{
//	if ( %val )
//		commandToServer('usePrimary');	   
//}
//function usePistol( %val )
//{
//	if ( %val )
//		commandToServer('usePistol');	   
//}
//function reload( %val )
//{
//	if ( %val )
//	{
//		//messageall("clientmsg", 'headslot %1', $HeadSlot);
//		commandToServer( 'ReloadWeapon', Weapon );
//	}
//	   
//}
//************************

function ServerCmdusePrimary( %client )
{
	%player = %client.player;
	%player.use(%player.primary);
	%player.unmountImage($PrimarySlot);
} 
function ServerCmduseSecondary( %client )
{
	%player = %client.player;
	%player.use(%player.secondary);
	%player.unmountImage($SecondarySlot);
} 
function ServerCmdusePistol( %client )
{
	%player = %client.player;
	%player.use(%player.pistol);
	%player.unmountImage($PistolSlot);
} 
function ServerCmduseGrenade( %client )
{
	%player = %client.player;
	%player.use(%player.grenade);
	%player.unmountImage($GrenadeSlot);
} 
function ServerCmduseMelee( %client )
{
	%player = %client.player;
	%player.use(%player.melee);
	%player.unmountImage($MeleeSlot);
} 
function ServerCmdthrowWeapon( %client )
{
	%player = %client.player;
	if(%player.getmountedimage($WeaponSlot) == 0)	
		return;					//no gun to throw

	%item = %player.getmountedimage($WeaponSlot).item;
	%ammo = %item.image.ammo;
	%clip = %item.image.clip;
	//echo("itemammo = ", %item.image.ammo);
	//%muzzlepoint = %player.getmuzzlepoint($WeaponSlot);
	//%muzzlevector = %player.getmuzzlevector($WeaponSlot);
	%muzzlepoint = Vectoradd(%player.getposition(), "0 0 1.5");
	%muzzlevector = %player.getEyeVector();
	%muzzlepoint = VectorAdd(%muzzlepoint, %muzzleVector);
	%thrownitem = new (item)()
	{
		datablock = %item;
		initialVelocity = vectorScale(%muzzlevector, 15);	//these dont actually work for some reason
		initialPosition = "80.0366 -215.868 183.615";
		count = %player.getinventory(%item);
	};
	%thrownitem.settransform(%muzzlepoint @ "0 0 0 0");
	%thrownitem.setVelocity(vectorScale(%muzzlevector, 20));
	%thrownitem.ammo = %player.getinventory(%ammo);
	%thrownItem.schedule($ItemTime, delete);
	MissionCleanup.add(%thrownitem);
	if(%player.getinventory(%clip) )
	{
		%thrownclip = new (item)()
		{
			datablock = %clip;
			count = %player.getinventory(%clip);
		};
		%thrownclip.settransform(%muzzlepoint @ "0 0 0 0");
		%thrownclip.setVelocity(vectorScale(%muzzlevector, 19));
		%thrownclip.schedule($ItemTime, delete);
		MissionCleanup.add(%thrownclip);
	}

	%player.decinventory(%item, %player.getinventory(%item));
	%player.setinventory(%ammo, 0);
	%player.setinventory(%clip, 0);

	%player.unmountImage($WeaponSlot);
} 

function ServerCmdusePack( %client )
{
	%player = %client.player;
	%image = %player.getMountedImage($PackSlot);
	if( %image )
	{
		%player.use(%image.item);
	}
	else
	{
		if(isObject(%player.detpack))
		{
			explodeDetPack(%player.detpack);
			%player.detpack = 0;
		}
	}
}
function ServerCmddropPack( %client )
{
	%player = %client.player;
//	if(%player.getMountedObject($backSlot).getClassName() $= "Player")
//	{
//		%mountedplayer = %player.getMountedObject($backslot);
//
//		%player.unMountObject(%mountedplayer);
//		%player.pack = "";
//		
//		%playerRotMatrix = getWords(%player.gettransform(), 4,6);
//		%muzzlepoint = Vectoradd(%player.getposition(), "0 0 1.5");
//		%muzzlevector = %player.getEyeVector();
//		%muzzlepoint = VectorAdd(%muzzlepoint, %muzzleVector);
//
//		%mountedplayer.settransform(%muzzlepoint @ " " @ %playerRotMatrix);
//		%mountedplayer.setVelocity(vectorScale(%muzzlevector, 20));
//
//		%mountedplayer.playthread(0, flop);
//	}
	if(%player.getMountedImage($PackSlot))
	{
		%item = %player.getMountedImage($PackSlot).item;
		if(%player.getinventory(%item))
		{
			
			//%muzzlepoint = %player.getmuzzlepoint($WeaponSlot);
			%muzzlepoint = Vectoradd(%player.getposition(), "0 0 1.5");
			%muzzlevector = %player.getEyeVector();
			%muzzlepoint = VectorAdd(%muzzlepoint, %muzzleVector);
			%thrownpack = new (item)()
			{
				datablock = %item;
				//initialVelocity = vectorScale(%muzzlevector, 15);	//these dont actually work for some reason
				//initialPosition = "80.0366 -215.868 183.615";
				count = %player.getinventory(%item);
			};
			%thrownpack.settransform(%muzzlepoint @ "0 0 0 0");
			%thrownpack.setVelocity(vectorScale(%muzzlevector, 20));
			%thrownpack.count = %player.getinventory(%item);
			if(%item.persistant == false)
			{
				%thrownpack.schedule($ItemTime, delete);
			}
			MissionCleanup.add(%thrownpack);
			%player.setinventory(%item, 0);
			%player.unmountImage($PackSlot);
		}
	}
}

function ServerCmdaction( %client )
{
	%player = %client.player;
	//push vehicles (for flipping them back over)
	//pick up dead people (carry them to safety)
	if(%player.actiontimeout == 0)
	{
		if(%player.isMounted() == 0)
		{
			%mask = $TypeMasks::VehicleObjectType | $TypeMasks::PlayerObjectType;
			%startPos = %player.getEyeTransform();
			%eyeVec = %player.getEyeVector();
			%startPos = VectorAdd(%startPos, %eyeVec);
			%endPos = VectorAdd(%startPos, VectorScale(%eyeVec, 2) );
			%searchResult = containerRayCast(%startPos, %endPos, %mask, 0);
			
					
			if(!%searchresult)
				return;
			//echo(%searchResult.getClassName());
			if(%searchResult == %player)
				return;
			if(%searchResult.getClassName() $= "WheeledVehicle")
			{
				//echo("lift vehicle");
				%searchResult.applyimpulse(%player.getPosition(), "0 0 4000");
				%player.actiontimeout = 1;
				schedule(500, 0, actionTimeout, %player);
			}
			if(%searchResult.getClassName() $= "Player")
			{
				echo("pickup player");
				%searchResult.applyimpulse(%searchResult.getPosition(), "0 0 1000");
				%player.actiontimeout = 1;
				schedule(500, 0, actionTimeout, %player);
			}

		}
	}
}

function serverCmdUpdatePrefs(%client, %name, %gender, %head, %hair)
{
	%client.name	= %name;
	%client.gender	= %gender;
	%client.head	= %head;
	%client.hair	= %hair;
}
function actionTimeout (%player)
{
	%player.actiontimeout = 0;
}
function mountTimeout (%player)
{
	%player.mountTimeout = 0;
}
/////////////////
//test commands//
/////////////////
function serverCmdAddBot(%client)
{
	%player = %client.player;
	%bot = new Player() {
		dataBlock = femaleBLUEArmor;
		client = %this;
	};
	MissionCleanup.add(%bot);
	%bot.setTransform(%player.getTransform());
	%bot.mountimage(femaleHair2Image, $HairSlot);
	%bot.mountimage(femaleHeadImage, $HeadSlot);
//  $ServerGroup = new SimGroup (ServerGroup);
//  %player=aiConnect("Skeeter", -1, 0.5, false, "Bot1", 1.0);
//  %player=%player.getControlObject();
//  echo( "adding bot " @ %player );
}

function serverCmdDrive( %client )
{
	%position = %client.player.getTransform();
	%newcar = new HoverVehicle() 
	{
		dataBlock = boat;
		client = %client;
		initialPosition = %position;
	};
	%newcar.setTransform(%position);
	%newcar.setShapeName("Boat");

	%client.camera.setTransform(%newcar.getEyeTransform());

	//%client.player = %newcar;
	//%client.setControlObject(%newcar);
}

function test( %obj )
{	
	echo(%obj.getMuzzlePoint(0));
	//%obj.stopthread(3);
	%obj.playthread(3, swing2h);
	
	%q = new (projectile)() 
	{
	      dataBlock        = mm556long;
	      initialVelocity  = "1 1 10";
	      initialPosition  = %obj.getMuzzlePoint(0);
	      sourceObject     = %obj;
	      sourceSlot       = 0;
	      client           = %obj.client;
	};
	echo(%q.getclassname());
	
	%q = new (explosion)() 
	{
		datablock = mm556Explosion;
		initialPosition  = %obj.getMuzzlePoint(0);
		sourceObject     = %obj;
		sourceSlot       = 0;
		client           = %obj.client;
	};
	%q.setTransform(%obj.getMuzzlePoint(0) @ " 0 0 0 0");
}

function ServerCmddropFlag( %client )
{
	%player = %client.player;
	if(isObject(%player.flag))
	{
		%flag = %player.flag;
		%player.unMountObject(%flag);

		%playerRotMatrix = getWords(%player.gettransform(), 4,6);
		%muzzlepoint = Vectoradd(%player.getposition(), "0 0 1.5");
		%muzzlevector = %player.getEyeVector();
		%muzzlepoint = VectorAdd(%muzzlepoint, %muzzleVector);

		%flag.settransform(%muzzlepoint @ " " @ %playerRotMatrix);
		%flag.setVelocity(vectorScale(%muzzlevector, 20));

		%flag.playthread(0, flop);

		%player.flag = 0;
	}
}