datablock ParticleData(bloodParticle)
{
   dragCoefficient      = 0.0;
   gravityCoefficient   = 1.0;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 600;
   lifetimeVarianceMS   = 200;
   useInvAlpha          = true;
   spinRandomMin        = -90.0;
   spinRandomMax        = 90.0;
   textureName          = "~/data/shapes/rifle/smokeParticle";
   colors[0]     = "0.9 0.0 0.0 1";
   colors[1]     = "0.8 0.0 0.0 1";
   colors[2]     = "0.7 0.0 0.0 0.6";
   sizes[0]      = 0.05;
   sizes[1]      = 0.05;
   sizes[2]      = 0.01;
   times[0]      = 0.0;
   times[1]      = 0.9;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(bloodEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 1;
   ejectionVelocity = 1.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvances = false;
   particles = "bloodParticle";
   lifetimeMS       = 100;
};

datablock ParticleData(bloodParticle2)
{
   dragCoefficient      = 0.0;
   gravityCoefficient   = 1.0;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 600;
   lifetimeVarianceMS   = 200;
   useInvAlpha          = true;
   spinRandomMin        = -90.0;
   spinRandomMax        = 90.0;
   textureName          = "~/data/shapes/rifle/smokeParticle";
   colors[0]     = "0.9 0.0 0.0 1";
   colors[1]     = "0.8 0.0 0.0 1";
   colors[2]     = "0.7 0.0 0.0 0.6";
   sizes[0]      = 0.05;
   sizes[1]      = 0.05;
   sizes[2]      = 0.01;
   times[0]      = 0.0;
   times[1]      = 0.9;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(bloodEmitter2)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 1;
   ejectionVelocity = 1.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvances = false;
   particles = "bloodParticle2";
   lifetimeMS       = 100;
};


datablock ExplosionData(bloodExplosion)
{
   faceViewer = false;
   emitter[0] = bloodEmitter;
   emitter[1] = bloodEmitter2;
};
