datablock HoverVehicleData(boat)
{
	spawnOffset = "0 0 1";
	floatingGravMag = 5.1;
	catagory = "Vehicles";
	shapeFile = "~/data/shapes/vehicles/jeep.dts";
	computeCRC = true;
	debrisShapeName = "~/data/shapes/vehicles/jeep.dts";
	debris = ShapeDebris;
	renderWhenDestroyed = false;
	drag = 10.3;
	density = 0.15;
	mountPose[0] = sitting;
	numMountPoints = 4;
	cameraMaxDist = 15.0;
	cameraOffset = 5.7;
	cameraLag = 5.5;
	isProtectedMountPoint[0] = true;
	explosion = AssaultTankExplosion;
	explosionDamage = 0.5;
	explosionRadius = 5.0;
	lightOnly = 1;
	maxDamage = 120;
	destroyedLevel = 120;
	isShielded = true;
	rechargeRate = 0.7;
	energyPerDamagePoint = 75;
	maxEnergy = 150;
	minJetEnergy = 15;
	jetEnergyDrain = 1.3;
	// Rigid Body
	mass = 50;
	bodyFriction = 0;
	bodyRestitution = 0.5;
	softImpactSpeed = 20;       // Play SoftImpact Sound
	hardImpactSpeed = 28;      // Play HardImpact Sound
	// Ground Impact Damage (uses DamageType::Ground)
	minImpactSpeed = 29;
	speedDamageScale = 0.010;
	// Object Impact Damage (uses DamageType::Impact)
	collDamageThresholdVel = 23;
	collDamageMultiplier   = 0.030;
	dragForce            = 0.9;
	// dragForce            = 25 / 45.0;
	vertFactor           = 0.5;
	floatingThrustFactor = 0.35;
	mainThrustForce    = 5000;
	reverseThrustForce = 2000;
	strafeThrustForce  = 70;
	turboFactor        = 1.5;
	brakingForce = 30;
	brakingActivationSpeed = 30;
	stabLenMin = 0.0;
	stabLenMax = 0.0;
	stabSpringConstant  = 20;
	stabDampingConstant = 20;
	gyroDrag = 50;	// 16
	// gyroForce = 50
	normalForce = 10;
	restorativeForce = 100;
	steeringForce = 2000;
	rollForce  = 7;
	pitchForce = 15;
	dustEmitter = VehicleLiftoffDustEmitter;
	triggerDustHeight = 2.5;
	dustHeight = 1.0;
	dustTrailEmitter = TireEmitter;
	dustTrailOffset = "0.0 -1.0 0.5";
	triggerTrailHeight = 3.6;
	dustTrailFreqMod = 15.0;
	jetSound         = ScoutSqueelSound;
	engineSound      = ScoutEngineSound;
	floatSound       = ScoutThrustSound;
	softImpactSound  = GravSoftImpactSound;
	hardImpactSound  = HardImpactSound;
	wheelImpactSound = WheelImpactSound;
	//
	softSplashSoundVelocity = 10.0;
	mediumSplashSoundVelocity = 20.0;
	hardSplashSoundVelocity = 30.0;
	exitSplashSoundVelocity = 10.0;
	exitingWater      = VehicleExitWaterSoftSound;
	impactWaterEasy   = VehicleImpactWaterSoftSound;
	impactWaterMedium = VehicleImpactWaterSoftSound;
	impactWaterHard   = VehicleImpactWaterMediumSound;
	waterWakeSound    = VehicleWakeSoftSplashSound;
	minMountDist = 4;
	damageEmitter[0] = AssaultTankEmitter;
	damageEmitter[1] = AssaultTankEmitter;
	damageEmitter[2] = AssaultTankEmitter;
	damageEmitterOffset[0] = "0.0 -1.5 0.5 ";
	damageLevelTolerance[0] = 0.3;
	damageLevelTolerance[1] = 0.7;
	numDmgEmitterAreas = 2;
	splashEmitter[0] = VehicleFoamDropletsEmitter;
	splashEmitter[1] = VehicleFoamEmitter;
	max[chaingunAmmo] = 1000;
	forwardJetEmitter = ContrailEmitter;//WildcatJetEmitter;
	//cmdCategory = Tactical;
	//cmdIcon = CMDHoverScoutIcon;
	//cmdMiniIconName = "commander/MiniIcons/com_landscout_grey";
	//targetNameTag = 'WildCat';
	//targetTypeTag = 'Grav Cycle';
	//sensorData = VehiclePulseSensor;
	checkRadius = 1.7785;
	observeParameters = "1 10 10";
	//runningLight[0] = WildcatLight1;
	//runningLight[1] = WildcatLight2;
	//runningLight[2] = WildcatLight3;
	shieldEffectScale = "0.9375 1.125 0.6";
};

